Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version18

# Class V18WireOperations

java.lang.Object
org.firebirdsql.gds.ng.wire.AbstractWireOperations
org.firebirdsql.gds.ng.wire.version10.V10WireOperations
org.firebirdsql.gds.ng.wire.version11.V11WireOperations
org.firebirdsql.gds.ng.wire.version13.V13WireOperations
org.firebirdsql.gds.ng.wire.version15.V15WireOperations
org.firebirdsql.gds.ng.wire.version16.V16WireOperations
org.firebirdsql.gds.ng.wire.version18.V18WireOperations

All Implemented Interfaces:
  `FbWireOperations`

Direct Known Subclasses:
  `V19WireOperations`

public class V18WireOperations extends V16WireOperations

Since:
  6
Author:
  Mark Rotteveel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

  `FbWireOperations.ProcessAttachCallback`

- ## Field Summary

  ### Fields inherited from class org.firebirdsql.gds.ng.wire.version16.V16WireOperations

  `BATCH_LIMIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `V18WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getBatchSyncOperation()`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version16.V16WireOperations

  `afterEnqueueDeferredAction, afterProcessDeferredActions, completeDeferredActions, readBatchCompletionResponse`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version15.V15WireOperations

  `readCryptKeyCallback, writeCryptKeyCallback`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13WireOperations

  `authReceiveResponse, enableEncryption, handleCryptKeyCallback`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11WireOperations

  `completeDeferredActionsRequiresSync, deferredActionCount, enqueueDeferredAction, processDeferredActions`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

  `addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, processOperation, processResponse, processResponseWarnings, readGenericResponse, readInlineBlobResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, writeDirect`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### V18WireOperations

    public V18WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)

- ## Method Details

  - ### getBatchSyncOperation

    protected int getBatchSyncOperation()
    Overrides:
      `getBatchSyncOperation` in class `V16WireOperations`
    Returns:
      operation code that synchronizes deferred batch operations (`op_ping` or `op_batch_sync`)